require('nvim-treesitter.configs').setup({
    ensure_installed = {
        "bash", "c", "cpp", "css", "dockerfile", "hcl", "html", "javascript",
        "json", "latex", "lua", "markdown", "nix", "python", "rust", "svelte",
        "toml", "tsx", "typescript", "vim", "vue", "yaml"
    },
    auto_install = true,
    highlight = {
        enable = true,
        additional_vim_regex_highlighting = false
    },
    indent = {
        enable = true,
    },
    rainbow = {
        enable = true,
        extended_mode = true,
        max_file_lines = nil,
    },
})
